Index: irmp.c
===================================================================
--- irmp.c	(Revision 191)
+++ irmp.c	(Arbeitskopie)
@@ -4205,103 +4229,103 @@ irmp_ISR (void)
 #endif
 #if IRMP_SUPPORT_SERIAL == 1
                         // NETBOX generates no stop bit, here is the timeout condition:
-                        if ((irmp_param.flags & IRMP_PARAM_FLAG_IS_SERIAL) && irmp_param.protocol == IRMP_NETBOX_PROTOCOL &&
-                            irmp_pause_time >= NETBOX_PULSE_LEN * (NETBOX_COMPLETE_DATA_LEN - irmp_bit))
+                        if ((ir->param.flags & IRMP_PARAM_FLAG_IS_SERIAL) && ir->param.protocol == IRMP_NETBOX_PROTOCOL &&
+                            ir->isr.pause_time >= NETBOX_PULSE_LEN * (NETBOX_COMPLETE_DATA_LEN - ir->bit))
                         {
                             got_light = TRUE;                                                       // this is a lie, but helps (generates stop bit)
                         }
                         else
 #endif
 #if IRMP_SUPPORT_GRUNDIG_NOKIA_IR60_PROTOCOL == 1
-                        if (irmp_param.protocol == IRMP_GRUNDIG_PROTOCOL && !irmp_param.stop_bit)
+                        if (ir->param.protocol == IRMP_GRUNDIG_PROTOCOL && !ir->param.stop_bit)
                         {
-                            if (irmp_pause_time > IR60_TIMEOUT_LEN && (irmp_bit == 5 || irmp_bit == 6))
+                            if (ir->isr.pause_time > IR60_TIMEOUT_LEN && (ir->bit == 5 || ir->bit == 6))
                             {
 #ifdef ANALYZE
                                 ANALYZE_PRINTF ("Switching to IR60 protocol\n");
 #endif // ANALYZE
                                 got_light = TRUE;                                       // this is a lie, but generates a stop bit ;-)
-                                irmp_param.stop_bit = TRUE;                             // set flag
+                                ir->param.stop_bit = TRUE;                             // set flag
 
-                                irmp_param.protocol         = IRMP_IR60_PROTOCOL;       // change protocol
-                                irmp_param.complete_len     = IR60_COMPLETE_DATA_LEN;   // correct complete len
-                                irmp_param.address_offset   = IR60_ADDRESS_OFFSET;
-                                irmp_param.address_end      = IR60_ADDRESS_OFFSET + IR60_ADDRESS_LEN;
-                                irmp_param.command_offset   = IR60_COMMAND_OFFSET;
-                                irmp_param.command_end      = IR60_COMMAND_OFFSET + IR60_COMMAND_LEN;
+                                ir->param.protocol         = IRMP_IR60_PROTOCOL;       // change protocol
+                                ir->param.complete_len     = IR60_COMPLETE_DATA_LEN;   // correct complete len
+                                ir->param.address_offset   = IR60_ADDRESS_OFFSET;
+                                ir->param.address_end      = IR60_ADDRESS_OFFSET + IR60_ADDRESS_LEN;
+                                ir->param.command_offset   = IR60_COMMAND_OFFSET;
+                                ir->param.command_end      = IR60_COMMAND_OFFSET + IR60_COMMAND_LEN;
 
-                                irmp_tmp_command <<= 1;
-                                irmp_tmp_command |= first_bit;
+                                ir->tmp_command <<= 1;
+                                ir->tmp_command |= first_bit;
                             }
-                            else if (irmp_pause_time >= 2 * irmp_param.pause_1_len_max && irmp_bit >= GRUNDIG_COMPLETE_DATA_LEN - 2)
+                            else if (ir->isr.pause_time >= 2 * ir->param.pause_1_len_max && ir->bit >= GRUNDIG_COMPLETE_DATA_LEN - 2)
                             {                                                           // special manchester decoder
-                                irmp_param.complete_len = GRUNDIG_COMPLETE_DATA_LEN;    // correct complete len
+                                ir->param.complete_len = GRUNDIG_COMPLETE_DATA_LEN;    // correct complete len
                                 got_light = TRUE;                                       // this is a lie, but generates a stop bit ;-)
-                                irmp_param.stop_bit = TRUE;                             // set flag
+                                ir->param.stop_bit = TRUE;                             // set flag
                             }
-                            else if (irmp_bit >= GRUNDIG_COMPLETE_DATA_LEN)
+                            else if (ir->bit >= GRUNDIG_COMPLETE_DATA_LEN)
                             {
 #ifdef ANALYZE
-                                ANALYZE_PRINTF ("Switching to NOKIA protocol, irmp_bit = %d\n", irmp_bit);
+                                ANALYZE_PRINTF ("Switching to NOKIA protocol, ir->bit = %d\n", ir->bit);
 #endif // ANALYZE
-                                irmp_param.protocol         = IRMP_NOKIA_PROTOCOL;      // change protocol
-                                irmp_param.address_offset   = NOKIA_ADDRESS_OFFSET;
-                                irmp_param.address_end      = NOKIA_ADDRESS_OFFSET + NOKIA_ADDRESS_LEN;
-                                irmp_param.command_offset   = NOKIA_COMMAND_OFFSET;
-                                irmp_param.command_end      = NOKIA_COMMAND_OFFSET + NOKIA_COMMAND_LEN;
+                                ir->param.protocol         = IRMP_NOKIA_PROTOCOL;      // change protocol
+                                ir->param.address_offset   = NOKIA_ADDRESS_OFFSET;
+                                ir->param.address_end      = NOKIA_ADDRESS_OFFSET + NOKIA_ADDRESS_LEN;
+                                ir->param.command_offset   = NOKIA_COMMAND_OFFSET;
+                                ir->param.command_end      = NOKIA_COMMAND_OFFSET + NOKIA_COMMAND_LEN;
 
-                                if (irmp_tmp_command & 0x300)
+                                if (ir->tmp_command & 0x300)
                                 {
-                                    irmp_tmp_address = (irmp_tmp_command >> 8);
-                                    irmp_tmp_command &= 0xFF;
+                                    ir->tmp_address = (ir->tmp_command >> 8);
+                                    ir->tmp_command &= 0xFF;
                                 }
                             }
                         }
                         else
 #endif
 #if IRMP_SUPPORT_SIEMENS_OR_RUWIDO_PROTOCOL == 1
-                        if (irmp_param.protocol == IRMP_RUWIDO_PROTOCOL && !irmp_param.stop_bit)
+                        if (ir->param.protocol == IRMP_RUWIDO_PROTOCOL && !ir->param.stop_bit)
                         {
-                            if (irmp_pause_time >= 2 * irmp_param.pause_1_len_max && irmp_bit >= RUWIDO_COMPLETE_DATA_LEN - 2)
+                            if (ir->isr.pause_time >= 2 * ir->param.pause_1_len_max && ir->bit >= RUWIDO_COMPLETE_DATA_LEN - 2)
                             {                                                           // special manchester decoder
-                                irmp_param.complete_len = RUWIDO_COMPLETE_DATA_LEN;     // correct complete len
+                                ir->param.complete_len = RUWIDO_COMPLETE_DATA_LEN;     // correct complete len
                                 got_light = TRUE;                                       // this is a lie, but generates a stop bit ;-)
-                                irmp_param.stop_bit = TRUE;                             // set flag
+                                ir->param.stop_bit = TRUE;                             // set flag
                             }
-                            else if (irmp_bit >= RUWIDO_COMPLETE_DATA_LEN)
+                            else if (ir->bit >= RUWIDO_COMPLETE_DATA_LEN)
                             {
 #ifdef ANALYZE
                                 ANALYZE_PRINTF ("Switching to SIEMENS protocol\n");
 #endif // ANALYZE
-                                irmp_param.protocol         = IRMP_SIEMENS_PROTOCOL;    // change protocol
-                                irmp_param.address_offset   = SIEMENS_ADDRESS_OFFSET;
-                                irmp_param.address_end      = SIEMENS_ADDRESS_OFFSET + SIEMENS_ADDRESS_LEN;
-                                irmp_param.command_offset   = SIEMENS_COMMAND_OFFSET;
-                                irmp_param.command_end      = SIEMENS_COMMAND_OFFSET + SIEMENS_COMMAND_LEN;
+                                ir->param.protocol         = IRMP_SIEMENS_PROTOCOL;    // change protocol
+                                ir->param.address_offset   = SIEMENS_ADDRESS_OFFSET;
+                                ir->param.address_end      = SIEMENS_ADDRESS_OFFSET + SIEMENS_ADDRESS_LEN;
+                                ir->param.command_offset   = SIEMENS_COMMAND_OFFSET;
+                                ir->param.command_end      = SIEMENS_COMMAND_OFFSET + SIEMENS_COMMAND_LEN;
 
                                 //                   76543210
                                 // RUWIDO:  AAAAAAAAACCCCCCCp
                                 // SIEMENS: AAAAAAAAAAACCCCCCCCCCp
-                                irmp_tmp_address <<= 2;
-                                irmp_tmp_address |= (irmp_tmp_command >> 6);
-                                irmp_tmp_command &= 0x003F;
-//                              irmp_tmp_command <<= 4;
-                                irmp_tmp_command |= last_value;
+                                ir->tmp_address <<= 2;
+                                ir->tmp_address |= (ir->tmp_command >> 6);
+                                ir->tmp_command &= 0x003F;
+//                              ir->tmp_command <<= 4;
+                                ir->tmp_command |= last_value;
                             }
                         }
                         else
 #endif
 #if IRMP_SUPPORT_ROOMBA_PROTOCOL == 1
-                        if (irmp_param.protocol == IRMP_ROOMBA_PROTOCOL &&                          // Roomba has no stop bit
-                            irmp_bit >= ROOMBA_COMPLETE_DATA_LEN - 1)                               // it's the last data bit...
+                        if (ir->param.protocol == IRMP_ROOMBA_PROTOCOL &&                          // Roomba has no stop bit
+                            ir->bit >= ROOMBA_COMPLETE_DATA_LEN - 1)                               // it's the last data bit...
                         {                                                                           // break and close this frame
-                            if (irmp_pulse_time >= ROOMBA_1_PULSE_LEN_MIN && irmp_pulse_time <= ROOMBA_1_PULSE_LEN_MAX)
+                            if (ir->isr.pulse_time >= ROOMBA_1_PULSE_LEN_MIN && ir->isr.pulse_time <= ROOMBA_1_PULSE_LEN_MAX)
                             {
-                                irmp_pause_time = ROOMBA_1_PAUSE_LEN_EXACT;
+                                ir->isr.pause_time = ROOMBA_1_PAUSE_LEN_EXACT;
                             }
-                            else if (irmp_pulse_time >= ROOMBA_0_PULSE_LEN_MIN && irmp_pulse_time <= ROOMBA_0_PULSE_LEN_MAX)
+                            else if (ir->isr.pulse_time >= ROOMBA_0_PULSE_LEN_MIN && ir->isr.pulse_time <= ROOMBA_0_PULSE_LEN_MAX)
                             {
-                                irmp_pause_time = ROOMBA_0_PAUSE_LEN;
+                                ir->isr.pause_time = ROOMBA_0_PAUSE_LEN;
                             }
 
                             got_light = TRUE;                                                       // this is a lie, but helps (generates stop bit)
